<!DOCTYPE html>
<html>
    <head>
        <title>Website Max Mustermann</title>
        <meta charset="UTF-8">
        <link rel="stylesheet" type="text/css" href="layout.css">
    </head>
    <body>
        <?php require_once('header.php'); ?>
        <main>
            <div class="row">
                <div class="col-6">
                    <h2>Max Mustermann</h2>
                    <hr>
                    <p>Das ist ein Platzhalter für Text <br> Mit einem Zeilenumbruch</p>
                    <p>Hier steht ein weiterer Platzhalter (Achte auf die unterschiedlichen Abstände!)</p>
                    <a href="mailto:max.mustermann@gmx.at">Email Adresse</a>
                </div>
                <div class="col-6 center">
                    <img src="logo.png" alt="Logo" id="logo">
                </div>
            </div>
            <br>

            <div class="row">
              <h3>TERRA Orte:</h3>
              <?php
                $db_host = 'localhost';
                $db_username = 'root';
                $db_password = 'root';
                $db_name = 'terra_all';

                $dbconnect = new mysqli($db_host, $db_username, $db_password, $db_name);
                mysqli_set_charset($dbconnect, 'utf8');

                if (mysqli_connect_errno())
                {
                    echo 'Verbindungsfehler zur MySQL Datenbank - Fehlercode: ' . mysqli_connect_error();
                }




                $citycheck = "SELECT Name FROM ort WHERE Einwohner>=100000 LIMIT 10";
                $dbconnect->real_escape_string($citycheck);
                $query = mysqli_query($dbconnect, $citycheck);
                $numrows = mysqli_num_rows($query);
                $cities = '';

                if ($numrows == 0) {
                  $cities.= '<p>Keine Orte gefunden!</p>';
                }
                else {
                  while($row = mysqli_fetch_assoc($query)) {
                    $cities.= '<p>'.$row['Name'].'</p>';
                  }
                }
                echo $cities;




                echo '<br><h3>Länge von Gosford:</h3>';
                $city = 'Gosford';
                $sizecheck = "SELECT * FROM ort WHERE Name='$city'";
                $dbconnect->real_escape_string($sizecheck);
                $query2 = mysqli_query($dbconnect, $sizecheck);
                $fetch = mysqli_fetch_object($query2);
                $size = $fetch->Laenge;
                echo 'Länge: '.$size.' km';
              ?>
              <br><br><br>
            </div>
            <?php require_once('footer.php'); ?>
        </main>
    </body>
</html>
